pro kp_copy
;
;+
;NAME:
;	kp_copy
;PURPOSE:
;	To check the Kitt Peak "rdist" directory at ISAS for new KP images
;	and to copy them on-line to the yohkoh database if new files exist
;HISTORY:
;	Written Aug-93 by N.Nitta
;	30-Sep-93 (MDM) - Renamed from CV_NAME_KP to KP_COPY
;	 5-Oct-93 (MDM) - Modified to use /0p/lytle instead of /3p/lytle
;	 3-Jan-94 (MDM) - Modified mailing list
;       30-aug-94 (SLF) - add call to fl_suntoday (generate new collage)
;       29-sep-94 (SLF) - spawn fl_suntoday as batch job on different node
;        4-oct-94 (SLF) - call go_batch.pro for fl_suntoday 
;        6-oct-95 (SLF) - remove go_batch (osf)
;        5-oct-95 (SLF) - moved fl_suntoday call 
;       13-aug-96 (SLF) - check for environm 'kp_inhibit' 
;                          if set, dont run fl_suntoday (cron protect)       
;-
; rename yymmddh(m) to Yohkoh gbo standard 

list_old = '$DIR_GBO_TEMP/kp_list_old'
list_new = '$DIR_GBO_TEMP/kp_list_new'
;
;cd, '/0p/lytle'
cd, '$ftp/pub/kp'
spawn,'ls -1 9*[h,m] > ' + list_new
spawn,'diff ' + list_old + ' ' + list_new, diff
nn=n_elements(diff)
atleast1=0
for i=0,nn-1 do begin
   dummy=diff(i)
   ndummy=strlen(dummy)
   outfil = ''
   if strmid(dummy,0,1) eq '>' then begin 
      if strmid(dummy,ndummy-1,1) eq 'm' then begin
         modifier='gkm'
	 outfil = '$DIR_GBO_TEMP/mag'+strmid(dummy,ndummy-7,6)+'.fts'
         cmd1='cp -p '+strmid(dummy,ndummy-7,7)+' ' + outfil
         spawn,cmd1
      endif else begin
         if strmid(dummy,ndummy-1,1) eq 'h' then begin
            modifier='gki'
	    outfil = '$DIR_GBO_TEMP/heI'+strmid(dummy,ndummy-7,6)+'.fts'
            cmd1='cp -p '+strmid(dummy,ndummy-7,7)+' ' + outfil
            spawn,cmd1
         endif
      endelse    

      if (outfil ne '') then begin
         atleast1=1
         kp_name_fix,outfil,/move
         cmd='ls $ydb/gbo/gbo*/'+modifier+strmid(dummy,ndummy-7,6)+'*'
         print,cmd
         spawn,cmd,newfile & print,newfile
         message=strmid(dummy,ndummy-7,7)+' has been transferred and copied to '+newfile
         mail, message, user='$MAIL_CRONJOBS', subj="Kitt Peak daily images"
      endif
   endif
endfor

if atleast1 and (get_logenv('kp_inhibit'))(0) eq '' then fl_suntoday,/generate

spawn, 'cp -pf ' + list_new + ' ' + list_old
return
end

   
